CyberSafe-SaveMe/Models/Product.cs
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace CyberSafe_SaveMe.Models
{
    public class Product
    {
        public int ProductID { get; set; }

        [Display(Name = "Product Name")]
        [Required(ErrorMessage = "Required")]
        public string ProductName { get; set; }

        [Required(ErrorMessage = "Required")]
        public decimal Price { get; set; }

        [Required(ErrorMessage = "Required")]
        public int Quantity { get; set; }

        [AllowHtml]
        public string Description { get; set; }

    }
}

CyberSafe-SaveMe/Controllers/ProductController.cs
using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using System.Data.SqlClient;
using System.Data;
using System.Configuration;
using CyberSafe_SaveMe.Models;

namespace CyberSafe_SaveMe.Controllers
{
    public class ProductController : Controller
    {
        [HttpGet]
        public ActionResult Index()
        {
            DataTable tbProduct = new DataTable();
            string cs = ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString;
            using (var connection = new SqlConnection(cs))
            {
                connection.Open();
                SqlDataAdapter sqlDa = new SqlDataAdapter("select * from Products", connection);
                sqlDa.Fill(tbProduct);
            }
            return View(tbProduct);
        }

        // GET: Product/Details/5
        public ActionResult Details(int id)
        {
            Product product = new Product();
            DataTable tbProduct = new DataTable();
            string cs = ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString;
            using (var connection = new SqlConnection(cs))
            {
                connection.Open();
                string query = "select * from Products where ProductID = " + id + "";
                SqlDataAdapter sqlDa = new SqlDataAdapter(query, connection);
                sqlDa.Fill(tbProduct);
            }
            if (tbProduct.Rows.Count == 1)
            {
                product.ProductID = Convert.ToInt32(tbProduct.Rows[0][0].ToString());
                product.ProductName = tbProduct.Rows[0][1].ToString();
                product.Price = Convert.ToDecimal(tbProduct.Rows[0][2].ToString());
                product.Quantity = Convert.ToInt32(tbProduct.Rows[0][3].ToString());
                product.Description = tbProduct.Rows[0][4].ToString();
                return View(product);
            }
            else
            {
                return RedirectToAction("Index");
            }          
        }

        // GET: Product/Create
        public ActionResult Create()
        {
            return View(new Product());
        }

        // POST: Product/Create
        [ValidateInput(false)]
        [HttpPost]
        public ActionResult Create(Product product)
        {
            string cs = ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString;
            using (var connection = new SqlConnection(cs))
            {
                connection.Open();
                string query = "Insert into Products(Name, Price, Quantity, Description) values ('" + product.ProductName + "', " + product.Price + ", " + product.Quantity + ", '" + product.Description + "')";
                SqlCommand cmd = new SqlCommand(query, connection);
                cmd.ExecuteNonQuery();
            }
            return RedirectToAction("Index");
        }

        // GET: Product/Edit/5
            public ActionResult Edit(int id)
            {
                Product product = new Product();
                DataTable tbProduct = new DataTable();
                string cs = ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString;
                using (var connection = new SqlConnection(cs))
                {
                    connection.Open();
                    string query = "select * from Products where ProductID = " + id + "";
                    SqlDataAdapter sqlDa = new SqlDataAdapter(query, connection);
                    sqlDa.Fill(tbProduct);
                }
                if (tbProduct.Rows.Count == 1)
                {
                    product.ProductID = Convert.ToInt32(tbProduct.Rows[0][0].ToString());
                    product.ProductName = tbProduct.Rows[0][1].ToString();
                    product.Price = Convert.ToDecimal(tbProduct.Rows[0][2].ToString());
                    product.Quantity = Convert.ToInt32(tbProduct.Rows[0][3].ToString());
                    product.Description = tbProduct.Rows[0][4].ToString();
                    return View(product);
                }
                else
                {
                    return RedirectToAction("Index");
                }

            }

            // POST: Product/Edit/5
            [HttpPost]
            public ActionResult Edit(Product product)
            {
                string cs = ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString;
                using (var connection = new SqlConnection(cs))
                {
                    connection.Open();
                    string query = "Update Products set Name ='" + product.ProductName + "', Price =" + product.Price + ", Quantity = " + product.Quantity + ", Description='" + product.Description + "' where ProductID =" + product.ProductID + "";
                    SqlCommand cmd = new SqlCommand(query, connection);
                    cmd.ExecuteNonQuery();
                }
                return RedirectToAction("Index");
            }

        // GET: Product/Delete/5
        public ActionResult Delete(int id)
        {
            string cs = ConfigurationManager.ConnectionStrings["DefaultConnection"].ConnectionString;
            using (var connection = new SqlConnection(cs))
            {
                connection.Open();
                string query = "Delete from Products where ProductID = " + id + "";
                SqlCommand cmd = new SqlCommand(query, connection);
                cmd.ExecuteNonQuery();
            }
            return RedirectToAction("Index");
        }
    }
}

CyberSafe-SaveMe/Views/Product/Create.cshtml
@model CyberSafe_SaveMe.Models.Product

@{
    ViewBag.Title = "Create";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card mb-3">
    <div class="card-header">
        <h2>Create New Product</h2>
    </div>
    <div class="card-body">
        @using (Html.BeginForm())
        {
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                <div class="form-group">
                    @Html.LabelFor(model => model.ProductName, htmlAttributes: new { @class = "control-label col-md-4" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.ProductName, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.ProductName, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Price, htmlAttributes: new { @class = "control-label col-md-4" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Price, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Price, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Quantity, htmlAttributes: new { @class = "control-label col-md-4" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-4" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="submit" value="Create" class="btn btn-primary" />
                    </div>
                </div>
            </div>
        }

        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
</div>

CyberSafe-SaveMe/Views/Product/Details.cshtml
@model CyberSafe_SaveMe.Models.Product

@{
    ViewBag.Title = "Details";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card mb-3">
    <div class="card-header">
        <h3>Product @Model.ProductID - @Model.ProductName</h3>
    </div>
    <div class="card-body">
        <div>
            <dl class="dl-horizontal">
                <dt>
                    @Html.DisplayNameFor(model => model.ProductName)
                </dt>

                <dd>
                    @Html.DisplayFor(model => model.ProductName)
                </dd>

                <dt>
                    @Html.DisplayNameFor(model => model.Price)
                </dt>

                <dd>
                    @Html.DisplayFor(model => model.Price)
                </dd>

                <dt>
                    @Html.DisplayNameFor(model => model.Quantity)
                </dt>

                <dd>
                    @Html.DisplayFor(model => model.Quantity)
                </dd>

                <dt>
                    @Html.DisplayNameFor(model => model.Description)
                </dt>

                <dd>
                    @Html.DisplayFor(model => model.Description)
                </dd>

            </dl>
        </div>
        <p>
            @Html.ActionLink("Edit", "Edit", new { id = Model.ProductID }) |
            @Html.ActionLink("Back to List", "Index")
        </p>
    </div>
</div>

CyberSafe-SaveMe/Views/Product/Edit.cshtml
@model CyberSafe_SaveMe.Models.Product

@{
    ViewBag.Title = "Edit";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card mb-3">
    <div class="card-header">
        <h2>Edit Product</h2>
    </div>
    <div class="card-body">
        @using (Html.BeginForm())
        {
            <div class="form-horizontal">
                @Html.ValidationSummary(true, "", new { @class = "text-danger" })
                @Html.HiddenFor(model => model.ProductID)

                <div class="form-group">
                    @Html.LabelFor(model => model.ProductName, htmlAttributes: new { @class = "control-label col-md-3" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.ProductName, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.ProductName, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Price, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Price, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Price, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Quantity, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Quantity, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Quantity, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    @Html.LabelFor(model => model.Description, htmlAttributes: new { @class = "control-label col-md-2" })
                    <div class="col-md-10">
                        @Html.EditorFor(model => model.Description, new { htmlAttributes = new { @class = "form-control" } })
                        @Html.ValidationMessageFor(model => model.Description, "", new { @class = "text-danger" })
                    </div>
                </div>

                <div class="form-group">
                    <div class="col-md-offset-2 col-md-10">
                        <input type="submit" value="Save" class="btn btn-warning" />
                    </div>
                </div>
            </div>
        }

        <div>
            @Html.ActionLink("Back to List", "Index")
        </div>
    </div>
</div>

CyberSafe-SaveMe/Views/Product/Index.cshtml
@model System.Data.DataTable
@{
    ViewBag.Title = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}

<div class="card mb-3">
    <div class="card-header">
        <h2>Products List</h2>
    </div>
    <div class="card-body">
        <a class="btn btn-success" href="@Url.Action("Create", "Product")">Add Product</a><br />
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <tr>
                    <th>Name</th>
                    <th>Price</th>
                    <th>Quantity</th>
                    <th>Description</th>
                    <th></th>
                </tr>
                @for (int i = 0; i < Model.Rows.Count; i++)
                {
                    <tr>
                        <td>@Html.Raw(@Model.Rows[i][1])</td>
                        <td>@Html.Raw(@Model.Rows[i][2])</td>
                        <td>@Html.Raw(@Model.Rows[i][3])</td>
                        <td>@Html.Raw(@Model.Rows[i][4])</td>
                        <td>
                            <a href="@Url.Action("Details", "Product", new {@id=@Model.Rows[i][0]})" class="btn btn-info">Details</a>
                            <a href="@Url.Action("Edit", "Product", new {@id=@Model.Rows[i][0] })" class="btn btn-warning">Edit</a>
                            <a href="@Url.Action("Delete", "Product", new {@id=@Model.Rows[i][0] })" class="btn btn-danger">Delete</a>
                        </td>
                    </tr>
                }
            </table>
        </div>
    </div>
</div>